import Utils from "~/utils"

/**
* Infcur Check规则
*/
let checkObj = {
  "rec.bsrmar": null,
  "rec.maxamt": null,
  "rec.sqrmar": null,
  "rec.dec": null,
  "rec.dif": null,
  "rec.newcur": null,
  "rec.cod": null,
  "rec.enddat": null,
  "rec.rndunt": null,
  "rec.bas": null,
  "rec.dbtday": null,
  "rec.cdtday": null,
  "recpan.recget.sdamod.dadsnd": null,
  "rec.maxcur": null,
  "rec.glbrat": null,
}

for (const key in checkObj) {
  if (Object.hasOwnProperty.call(checkObj, key)) {
    checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
  }
}
export default checkObj

